const $btn = document.querySelector('[data-btn]')
const $grid = document.querySelector('[data-grid]')
const $colCount = document.querySelector('[data-column-count]')
const $colInput = document.querySelector('#columns')
const $desc = document.querySelector('[data-desc]')

const clickHandle = (e) => {
  const totalColumns = parseInt($colInput.value)
  const columnsArray = new Array(totalColumns).fill(0)

  const createColumns = columnsArray.map((el) => {
    return `<div class="col">col</div>`
  }).join('')

  $grid.innerHTML = createColumns

  $colCount.textContent = totalColumns

  console.log(createColumns);
  $desc.innerHTML =
    `<div class="row">` +
    `${createColumns}` +
    `</div>`
}

$btn.addEventListener('click', clickHandle);

//code for rounding off larger number entered by end user in input field to a value of 12

$('.input_form').on('keydown keyup change', function (e) {
  if ($(this).val() > 12 || $(this).val() <= 0 ) {
    e.preventDefault();
    $(this).val(12);
  }
});

//code for submitting input field value on enter button
var inputField = $colInput;
inputField.addEventListener("keyup", function (event) {
  if (event.keyCode === 13) {
    event.preventDefault();
    document.getElementById("generateGrid").click();
  }
});

//toast notification for copied text

$(document).ready(function(){
  $("#codeViewer").click(function(){
    $('.toast').toast('show');
  });
});